<?php

use App\Http\Controllers\UserController;
use App\Http\Controllers\AuthController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WcController;

Route::get('/mosdok', [WcController::class, 'index']);

Route::get('/mosdok/{id}', [WcController::class, 'show']);

Route::post('/hozzaadas', [WcController::class, 'store']);

Route::delete('/mosdotorles/{id}', [WcController::class, 'destroy']);

Route::prefix('auth')->group(function () {
    Route::post('register', [AuthController::class, 'register']);
    Route::post('login', [AuthController::class, 'login']);
    Route::post('logout', [AuthController::class, 'logout']);
    Route::post('refresh', [AuthController::class, 'refresh']);
    Route::get('me', [AuthController::class, 'me']);
});

Route::post('/users', [UserController::class, 'store']);
